Bug 1735 - Добавить опцию в дефолтный конфиг
: Добавить опцию в дефолтный конфиг
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-19 14:57 by
Modified: 2005-10-12 11:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-19 14:57:13
Предлагаю добавить в файл /etc/httpd/conf/httpd.conf
Include conf/addon-modules/*.conf

Причем сделать это ДО
Include conf/vhosts/Vhosts.conf

Сразу убиваем двух зайцев:
1 Нет необходимости модифицировать этот файл при добавлении/удалении модулей апача
2 mod_ssl (а возможно и другие модули) требуют своего включения ДО описания виртуальных хостов.

---

---

------- Comment #1 From 2003-08-30 23:43:46 -------
ab@ asked to take over the package.  
While I'm definitely not the best maintainer, hope that in three we'll cope with it.
------- Comment #2 From 2003-08-31 10:08:38 -------
В этом есть еще одна вкусность -- тогда можно сделать DirectoryIndex, который
смотрит на то, что мы реально умеем (см.
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/38091).  Сейчас так
не получается по схожей причине -- когда разбирается DI, еще нет собственно
модулей.
------- Comment #3 From 2003-09-04 14:52:37 -------
Что происходит с этой ошибкой ? 
Будут ли внесены изменения в apache ?
------- Comment #4 From 2003-09-04 14:57:55 -------
Не сейчас.

Сначала надо выпустить нормально _полеченный_ 1.3.28, потом уже улучшать его.

Там есть минимум еще одно связанное изменение, а changelog и так пухлый до
безобразия.
------- Comment #5 From 2003-10-18 20:09:20 -------
так, можно к этому вопросу возвращаться.  принимается патч на спек/httpd.conf.
------- Comment #6 From 2003-11-02 23:46:58 -------
я сейчас обновляю apache и mod_ssl, но, чесгря, на такое изменение рука не
поднимается: его надо делать синхронно с остальными mod_* (чтоб не пытались
дорисовать лишних Include).

(...или надо еще раз проверить, каким образом они добавляют/снимают, и
перечитать apxs...)
------- Comment #7 From 2004-06-28 01:42:15 -------
Это еще нужно/актуально?

Я его сейчас немного перековыриваю, но не знаю, стоит ли делать именно так в
ALM2.4 или переезжать на маску после его выпуска.
------- Comment #8 From 2004-06-28 11:53:42 -------
Да, это все еще нужно и очень актуально.
------- Comment #9 From 2004-06-28 14:44:47 -------
Можешь сделать/повесить патч относительон набора пакетов в /i/S/BTE ?

Я не совсем уверен, что сегодня в адекватном состоянии для _аккуратного_
проведения такого изменения.  Это ж еще mod_* переучить надо.
------- Comment #10 From 2004-06-29 11:12:29 -------
(In reply to comment #9)
> Можешь сделать/повесить патч относительон набора пакетов в /i/S/BTE ?
> 
> Я не совсем уверен, что сегодня в адекватном состоянии для _аккуратного_
> проведения такого изменения.  Это ж еще mod_* переучить надо.

Макросом для установки модуля, что-то типа %apache_install_module не получится
обойтись?
------- Comment #11 From 2004-06-29 11:20:26 -------
Очень может быть.  Объявляется конкурс на лучший однострочник :)
------- Comment #12 From 2004-06-29 12:06:39 -------
А что собственно будет делать этот макрос? И где вы собираетесь его
использовать? Если вы помните то я как раз говорил о том, что со стороны
модулей
вообще ничего не нужно делать кроме как положить свой файл с конфигом в заранее
обусловленное место, а при удалении пакета не забыть его убрать.
Зачем усложняете?
------- Comment #13 From 2004-06-29 12:08:59 -------
Я ещё когда говорил ровно то же.
------- Comment #14 From 2004-06-29 12:12:03 -------
(In reply to comment #12)
> А что собственно будет делать этот макрос? И где вы собираетесь его
> использовать? Если вы помните то я как раз говорил о том, что со стороны модулей
> вообще ничего не нужно делать кроме как положить свой файл с конфигом в заранее
> обусловленное место, а при удалении пакета не забыть его убрать.
> Зачем усложняете?

Хм. Тогда что - просто почистить %postin/%preun? Это запросто. Только отмашку не
забудьте дать. ;)
------- Comment #15 From 2004-06-29 12:19:28 -------
(In reply to comment #14)
> (In reply to comment #12)
> > А что собственно будет делать этот макрос? И где вы собираетесь его
> > использовать? Если вы помните то я как раз говорил о том, что со стороны модулей
> > вообще ничего не нужно делать кроме как положить свой файл с конфигом в заранее
> > обусловленное место, а при удалении пакета не забыть его убрать.
> > Зачем усложняете?
> 
> Хм. Тогда что - просто почистить %postin/%preun? Это запросто. Только отмашку не
> забудьте дать. ;)

Кто может дать отмашку если мантейнер :)
Скрипты post/pre удалять не нужно. Релоад апача делать всеравно придется.
Главное вычислить все пакеты где в post/pre редактируют httpd.conf и убрать это.
------- Comment #16 From 2004-06-29 12:25:02 -------
(In reply to comment #15)
> (In reply to comment #14)
> > (In reply to comment #12)
> > > А что собственно будет делать этот макрос? И где вы собираетесь его
> > > использовать? Если вы помните то я как раз говорил о том, что со стороны
модулей
> > > вообще ничего не нужно делать кроме как положить свой файл с конфигом в
заранее
> > > обусловленное место, а при удалении пакета не забыть его убрать.
> > > Зачем усложняете?
> > 
> > Хм. Тогда что - просто почистить %postin/%preun? Это запросто. Только отмашку не
> > забудьте дать. ;)
> 
> Кто может дать отмашку если мантейнер :)
> Скрипты post/pre удалять не нужно. Релоад апача делать всеравно придется.
> Главное вычислить все пакеты где в post/pre редактируют httpd.conf и убрать это.
> 

Вот пусть этот макрос и делает %_sbindir/apachectl reload
------- Comment #17 From 2004-06-29 12:49:37 -------
(In reply to comment #16)
> (In reply to comment #15)
> > Кто может дать отмашку если мантейнер :)
> > Скрипты post/pre удалять не нужно. Релоад апача делать всеравно придется.
> > Главное вычислить все пакеты где в post/pre редактируют httpd.conf и убрать это.
> > 
> 
> Вот пусть этот макрос и делает %_sbindir/apachectl reload

Т.е. предлагается сделать алиас на %post_service httpd? А смысл?
------- Comment #18 From 2004-07-07 09:10:29 -------
так... я собираю 1.3.31rusPL30.20-alt7, но пока не трогаю это там
------- Comment #19 From 2004-07-07 09:57:57 -------
Нужно всем договориться, чтобы все модули были залиты одновременно с apache и
они были связаны по версиям. Иначе из httpd.conf получится непонятно что.
------- Comment #20 From 2004-07-07 14:37:02 -------
(In reply to comment #19)
Выложить пока в Daedalus а как все пересобирут переложить их в Сизиф.
------- Comment #21 From 2004-07-07 14:43:31 -------
Точно, спасибо.  Тормоз я :-)
------- Comment #22 From 2004-08-06 19:10:11 -------
Добавляю Include conf/addon-modules.d/*.conf в силу того, что миграция требует
одновременности, чего сейчас не выходит, или изменения места расположения (что
и
сделаем).

=> fixed in 1.3.31rusPL30.20-alt9
------- Comment #23 From 2005-08-24 21:20:52 -------
(In reply to comment #17)
> > Вот пусть этот макрос и делает %_sbindir/apachectl reload
(или /sbin/service httpd condreload?)

> Т.е. предлагается сделать алиас на %post_service httpd? А смысл?
А он restart делает.  С другой стороны, /usr/sbin/{post,preun}_service -- единая
точка для реализации _не_передёргивания сервиса, если сказано так не делать (в
Debian можно попросить не трогать).

В общем, всё не совсем просто, поэтому в макрофайле будут:

%post_apacheconf        /sbin/service httpd condreload
%postun_apacheconf      /sbin/service httpd condreload